local World2D = require "core.modules.world.world2D"
local World = World2D:extend()

-- INIT FUNCTIONS
-- All functions to init the world and the map

function World:new(scene, mapfile, actorlist)
  self.super.new(self, scene, actorlist, mapfile)
end

-- ACTORS FUNCTIONS
-- Some Bump2D Wrapper not handled by gamecore

function World:changeActorData(actor)
  self.actors:update(actor, actor.x, actor.y, actor.w, actor.h)
end

return World
